package com.ruoyi.cms.service;

import com.ruoyi.cms.domain.AppReviewJob;
import com.ruoyi.cms.domain.Job;
import com.ruoyi.cms.domain.query.MineJobQuery;

import java.util.List;


/**
 * 用户岗位浏览记录Service接口
 * 
 * @author ${author}
 * @date 2025-02-14
 */
public interface IAppReviewJobService 
{
    /**
     * 查询用户岗位浏览记录
     * 
     * @param id 用户岗位浏览记录主键
     * @return 用户岗位浏览记录
     */
    public AppReviewJob selectAppReviewJobById(Long id);

    /**
     * 查询用户岗位浏览记录列表
     * 
     * @param appReviewJob 用户岗位浏览记录
     * @return 用户岗位浏览记录集合
     */
    public List<AppReviewJob> selectAppReviewJobList(AppReviewJob appReviewJob);

    /**
     * 新增用户岗位浏览记录
     * 
     * @param appReviewJob 用户岗位浏览记录
     * @return 结果
     */
    public int insertAppReviewJob(AppReviewJob appReviewJob);

    /**
     * 修改用户岗位浏览记录
     * 
     * @param appReviewJob 用户岗位浏览记录
     * @return 结果
     */
    public int updateAppReviewJob(AppReviewJob appReviewJob);

    /**
     * 批量删除用户岗位浏览记录
     * 
     * @param ids 需要删除的用户岗位浏览记录主键集合
     * @return 结果
     */
    public int deleteAppReviewJobByIds(Long[] ids);

    List<Job> review(MineJobQuery jobQuery);


    List<String> reviewArray();

    List<Job> selectAppReviewJobListJob(AppReviewJob appReviewJob);
}